Method Operation Parameter

The method operation parameter resource.

Basehttps://rest.carbon.ms/methodOperationParameter
GET/methodOperationParameter

List method operation parameters

Retrieve a paginated list of method operation parameters. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/methodOperationParameter
curl --request GET \
  --url 'https://rest.carbon.ms/methodOperationParameter?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "key": "string",
    "value": "string",
    "operationId": "xyz789",
    "companyId": "xyz789",
    "createdAt": "2026-01-01T00:00:00Z",
    "createdBy": "string",
    "updatedAt": "2026-01-01T00:00:00Z"
  }
]
GET/methodOperationParameter

Retrieve a method operation parameter

Fetch a single method operation parameter by filtering on `id`.

Query parameters

idstring

Match on the method operation parameter's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/methodOperationParameter
curl --request GET \
  --url 'https://rest.carbon.ms/methodOperationParameter?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "key": "string",
  "value": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
POST/methodOperationParameter

Create a method operation parameter

Create a new method operation parameter.

Body parameters

keystringrequired
valuestringrequired
operationIdstringrequired

References methodOperation.id

companyIdstringrequired
POSThttps://rest.carbon.ms/methodOperationParameter
curl --request POST \
  --url https://rest.carbon.ms/methodOperationParameter \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"key":"string","value":"string","operationId":"xyz789","companyId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "key": "string",
  "value": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
PATCH/methodOperationParameter

Update a method operation parameter

Update an existing method operation parameter, matched on `id`.

Body parameters

keystringrequired
valuestringrequired
operationIdstringrequired

References methodOperation.id

companyIdstringrequired
PATCHhttps://rest.carbon.ms/methodOperationParameter
curl --request PATCH \
  --url 'https://rest.carbon.ms/methodOperationParameter?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"key":"string"}'
Response
{
  "id": "abc123def456",
  "key": "string",
  "value": "string",
  "operationId": "xyz789",
  "companyId": "xyz789",
  "createdAt": "2026-01-01T00:00:00Z",
  "createdBy": "string",
  "updatedAt": "2026-01-01T00:00:00Z"
}
DELETE/methodOperationParameter

Delete a method operation parameter

Delete a method operation parameter, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the method operation parameter to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/methodOperationParameter
curl --request DELETE \
  --url 'https://rest.carbon.ms/methodOperationParameter?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content